<?php
include "scrinit.php";
include $menu;
require "dbconnect.php";
$dt=$_SESSION['dt'];
$gym=$_SESSION['gym'];
echo $gym;
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ανέβασμα Ωρολογίου</title>
</head>
<body>
<br>
<h2>Εισαγωγή Στοιχείων Προγράμματος - timetable</h2>
<h4>** Θα επιρεαστεί ο πίνακας timetable ** </h4>
<form  method="post" enctype="multipart/form-data">
    Επιλέξτε το αρχείο CSV με τα στοιχεία του Προγράμματος:
    <input type="file" name="fileToUpload" id="fileToUpload">
	<br>
	<p> Οι στήλες στο αρχείο CSV να μην έχουν τίτλους και να έχουν την σειρά: </p>
	<p><b>Όνομα Καθηγητή,Mon1,Mon2........</b></p>
    <br>
    <p>Κωδικοποίηση χαρακτήρων αρχείου (character encoding): <select name="charset">
       <option value="Windows-1253" selected>Windows-1253</option>
       <option value="ISO-8859-7">ISO-8859-7</option>
    </select>
    <p>Χαρακτήρας οριοθέτησης πεδίων (Delimiter): <select name="delim">
       <option value=";" selected>;</option>
       <option value=",">,</option>
    </select>
    <p><input type="submit" value="ΑΝΕΒΑΣΜΑ ΑΡΧΕΙΟΥ" name="submit">
</form>
<?php
if (isset($_POST['submit'])) {
    if (is_uploaded_file($_FILES['fileToUpload']['tmp_name'])) {
        echo "<h1>" . "File ". $_FILES['fileToUpload']['name'] ." uploaded successfully." . "</h1>";

	$fd=fopen($_FILES['fileToUpload']['tmp_name'],'r');
	$charset = $_POST['charset'];
	$delim = $_POST['delim'];
	$filex=$_FILES['fileToUpload'];
        echo "<h2>Charset:" . $charset . "</h2>";
        echo "<h2>Delimiter:" . $delim . "</h2>";
        echo "<h2>Displaying contents:</h2>";
        echo "<table>\n";
	mysqli_query($con,'TRUNCATE TABLE timetable;');		
	$i=0;
	$day=['0','Mon','Tue','Wed','Thu','Fri'];
	$all="Teacher,";
	$ta="";
	for ($i=1;$i<=5;$i++)
	{
		for ($j=1;$j<=7;$j++)
		{
		  $t=$day[$i].$j;$ta.=$t.',';
		}
	}
    $all=$all.$ta;
    $all = rtrim($all, ',');
	$i=1;
	while(! feof($fd))
	{
	$list=fgetcsv($fd,0,$delim);
	for ($j=0;$j<count($list);$j++) 
	{
		$list[$j] = $list[$j] == "" ? 'NULL' : iconv($charset,'UTF-8', $list[$j]);
	}
	
	$name = rtrim(ltrim($list[0]));
	if (!empty($name))
	{
	$sqn=mysqli_query($con,"select PMP from teachers where rtrim(ltrim(Name))='$name'");
	$rown=mysqli_fetch_array($sqn);
	if (mysqli_num_rows($sqn) > 0)
	{
	$pmp=$rown['PMP'];
	}
	$row=join('</td><td>',$list);
	$sqlx=join("','",$list);

	$sql = "INSERT INTO timetable (id,pmp,".$all.") VALUES ('$i','$pmp','$sqlx')";
	$sql   = str_replace("'NULL'", 'NULL', $sql);
	echo "<tr><td>" . $row . "</td>";
	if($i>0) {
		echo "<td>" . $sql . "</td>";
		if(mysqli_query($con,$sql)===TRUE) {
			echo "<td>OK</td>";
		} else {
			echo "<td>" . mysqli_error($con) . "</td>";
		}
	}
	echo "</tr>\n";
	}
	$i++;
  }
        echo "</table>\n";

fclose($fd);

    } else {
        echo "ΔΕΝ ΕΓΙΝΕ Η ΦΟΡΤΩΣΗ ΤΟΥ ΑΡΧΕΙΟΥ.";
    }
}
?>
<br /><br />

<a  href=<?php echo $menu; ?>  style="color:blue "  > <button>  Επιστροφή στο Μενού  </a>
</body>
</html>
